-- ============================================================
-- Table: FPA_CALCULOCONSUMER 
-- Descrição: Cria tabela para controle de processos de calculo do consumidor
-- ============================================================

CREATE TABLE FPA_CALCULOCONSUMER
  (
    NRCALCULOCONSUMER NUMBER NOT NULL ,
    NRORG             NUMBER NOT NULL ,
    NRCALCULOFOLHA    NUMBER ,
    NRTOTVINCULOS     NUMBER NOT NULL ,
    NRTOTPROCESSVINC  NUMBER ,
    DTHRINICIO        DATE ,
    DTHRFIM           DATE ,
    IDSITUACAO        VARCHAR2 (10) NOT NULL ,
    IDERRO            VARCHAR2 (30) ,
    DSCALCULOPARAMS   VARCHAR2 (1000) ,
    DTINCLUSAO        DATE NOT NULL ,
    DTULTATU          DATE ,
    CDOPERINCLUSAO    VARCHAR2 (12) NOT NULL ,
    CDOPERULTATU      VARCHAR2 (12) ,
    NRORGINCLUSAO     NUMBER NOT NULL ,
    NRORGULTATU       NUMBER
  ) ;
ALTER TABLE FPA_CALCULOCONSUMER ADD CONSTRAINT FPA_CALCULOCONSUMER_PK PRIMARY KEY ( NRCALCULOCONSUMER, NRORG ) ;