-- ============================================================
-- Database name: FOLHA
-- Created on: 27/02/2019 
-- ============================================================
-- ============================================================
-- TABLE: ESO_TAGNAME
-- ============================================================
ALTER TABLE ESO_TAGNAME MODIFY DSCDOPCTAG VARCHAR2(200);
/
ALTER TABLE ESO_TAGNAME MODIFY DSNMOPCTAG VARCHAR2(4000);
/
-- ============================================================
-- Updates
-- ============================================================
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2', DSNMOPCTAG = 'Produção;Produção restrita' WHERE NRTAGNAME = 5 AND DSTAGNAME = 'tpAmb'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2;3;4;5', DSNMOPCTAG = 'Aplicativo do empregador;Aplicativo governamental - Empregador Doméstico;Aplicativo governamental - Web Geral;Aplicativo governamental - Microempreendedor Individual (MEI);Aplicativo governamental - Segurado Especial' WHERE NRTAGNAME = 6 AND DSTAGNAME = 'procEmi'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '0;1;2;3', DSNMOPCTAG = 'Não é cooperativa;Cooperativa de Trabalho;Cooperativa de Produção;Outras Cooperativas' WHERE NRTAGNAME = 20 AND DSTAGNAME = 'indCoop'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '0;1', DSNMOPCTAG = 'Não é Construtora;Empresa Construtora' WHERE NRTAGNAME = 21 AND DSTAGNAME = 'indConstr'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '0;1', DSNMOPCTAG = 'Não Aplicável;Empresa enquadrada nos art. 7º a 9º da Lei 12.546/2011' WHERE NRTAGNAME = 22 AND DSTAGNAME = 'indDesFolha'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '0;1', DSNMOPCTAG = 'Não optou pelo registro eletrônico de empregados;Optou pelo registro eletrônico de empregados' WHERE NRTAGNAME = 23 AND DSTAGNAME = 'indOptRegEletron'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2;3;9', DSNMOPCTAG = 'Executivo;Judiciário;Legislativo;Todos os poderes' WHERE NRTAGNAME = 52 AND DSTAGNAME = 'subteto'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '0;1', DSNMOPCTAG = 'Sem acordo;Com acordo' WHERE NRTAGNAME = 55 AND DSTAGNAME = 'indAcordoIsenMulta'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '0;1;2;3;4', DSNMOPCTAG = 'Situação Normal;Extinção;Fusão;Cisão;Incorporação.' WHERE NRTAGNAME = 62 AND DSTAGNAME = 'indSitPJ'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '0;1;2', DSNMOPCTAG = 'Situação Normal;Encerramento de espólio;Saída do país em caráter permanente' WHERE NRTAGNAME = 64 AND DSTAGNAME = 'indSitPF'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = 'S;N', DSNMOPCTAG = 'Sim;Não' WHERE NRTAGNAME = 24 AND DSTAGNAME = 'indEntEd'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = 'S;N', DSNMOPCTAG = 'Empresa de Trabalho Temporário;Não é Empresa de Trabalho Temporário' WHERE NRTAGNAME = 25 AND DSTAGNAME = 'indEtt'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = 'S;N', DSNMOPCTAG = 'É EFR;Não é EFR' WHERE NRTAGNAME = 45 AND DSTAGNAME = 'ideEFR'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = 'S;N', DSNMOPCTAG = 'Sim;Não' WHERE NRTAGNAME = 51 AND DSTAGNAME = 'indRPPS'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2;4', DSNMOPCTAG = 'Administrativo;Judicial;Processo FAP' WHERE NRTAGNAME = 78 AND DSTAGNAME = 'tpProc'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2;3', DSNMOPCTAG = 'Contribuinte Individual;Produtor Rural;Segurado Especial' WHERE NRTAGNAME = 83 AND DSTAGNAME = 'tpCaepf'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2', DSNMOPCTAG = 'Contribuição Patronal Substituída;Contribuição Patronal Não Substituída.' WHERE NRTAGNAME = 85 AND DSTAGNAME = 'indSubstPatrObra'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '0;1;2;3;4;5;6', DSNMOPCTAG = 'Não utiliza;Manual;Mecânico;Eletrônico (portaria MTE 1.510/2009);Não eletrônico alternativo (art. 1° da Portaria MTE 373/2011);Eletrônico alternativo ( art. 2° da Portaria MTE 373/2011);Eletrônico - outros.' WHERE NRTAGNAME = 87 AND DSTAGNAME = 'regPt'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '0;1;2', DSNMOPCTAG = 'Dispensado de acordo com a lei;Dispensado, mesmo que parcialmente, em virtude de processo judicial;Obrigado' WHERE NRTAGNAME = 89 AND DSTAGNAME = 'contApr'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = 'S;N', DSNMOPCTAG = 'Sim;Não' WHERE NRTAGNAME = 91 AND DSTAGNAME = 'contEntEd'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '0;1;2;9', DSNMOPCTAG = 'Dispensado de acordo com a lei;Dispensado, mesmo que parcialmente, em virtude de processo judicial;Com exigibilidade suspensa, mesmo que parcialmente em virtude de Termo de Compromisso firmado com o Ministério do Trabalho;Obrigado' WHERE NRTAGNAME = 94 AND DSTAGNAME = 'contPCD'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2;3;4;5', DSNMOPCTAG = 'CNPJ;CPF;CAEPF;CNO;CGC' WHERE NRTAGNAME = 9 AND DSTAGNAME = 'tpInsc'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2;3;4', DSNMOPCTAG = 'Vencimento, provento ou pensão;Desconto;Informativa;Informativa dedutora' WHERE NRTAGNAME = 103 AND DSTAGNAME = 'tpRubr'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '00;01;11;12;13;14;15;16;21;22;23;24;25;26;31;32;34;35;51;61;91;92;93;94;95;96;97;98', DSNMOPCTAG = 'Não é base de cálculo;Não é base de cálculo em função de acordos internacionais de previdência social;Mensal;13° Salário;Exclusiva do Empregador - mensal;Exclusiva do Empregador - 13° salário;Exclusiva do segurado - mensal; Exclusiva do segurado - 13° salário;Salário maternidade mensal pago pelo Empregador;Salário maternidade - 13o Salário, pago pelo Empregador;Auxilio doença mensal - Regime Próprio de Previdência Social;Auxilio doença 13o salário doença - Regime próprio de previdência social;Salário maternidade mensal pago pelo INSS;Salário maternidade - 13° salário, pago pelo INSS;Mensal;13° Salário;SEST;SENAT;Salário-família;Complemento de salário-mínimo - Regime próprio de previdência social;Mensal;13° Salário;Salário maternidade;Salário maternidade 13° salário;Exclusiva do Empregador - mensal;Exclusiva do Empregador - 13º salário;Exclusiva do Empregador - Salário maternidade;Exclusiva do Empregador - Salário maternidade 13º salário' WHERE NRTAGNAME = 104 AND DSTAGNAME = 'codIncCP'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '00;01;09;11;12;13;14;15;31;32;33;34;35;41;42;43;44;46;47;51;52;53;54;55;61;62;63;64;70;71;72;73;74;75;76;77;78;79;81;82;83;91;92;93;94;95', DSNMOPCTAG = 'Rendimento não tributável;Rendimento não tributável em função de acordos internacionais de bitributação;Outras verbas não consideradas como base de cálculo ou rendimento;Remuneração mensal;13° Salário;Férias;PLR;Rendimentos Recebidos Acumuladamente - RRA;- Remuneração mensal;13° Salário;Férias;PLR;RRA;Previdência Social Oficial - PSO - Remuner. mensal;PSO - 13° salário;PSO - Férias;PSO - RRA;Previdência Privada - salário mensal;Previdência Privada - 13° salário;Pensão Alimentícia - Remuneração mensal;Pensão Alimentícia - 13° salário;Pensão Alimentícia - Férias;- Pensão Alimentícia - PLR;Pensão Alimentícia - RRA;Fundo de Aposentadoria Programada Individual - FAPI - Remuneração mensal;Fundo de Aposentadoria Programada Individual - FAPI - 13° salário;Fundação de Previdência Complementar do Servidor Público - Funpresp - Remuneração mensal;Fundação de Previdência Complementar do Servidor Público - Funpresp - 13° salário;Parcela Isenta 65 anos - Remuneração mensal;Parcela Isenta 65 anos - 13° salário;Diárias;Ajuda de custo;Indenização e rescisão de contrato, inclusive a título de PDV e acidentes de trabalho;Abono pecuniário;Pensão, aposentadoria ou reforma por moléstia grave ou acidente em serviço - Remuneração Mensal;Pensão, aposentadoria ou reforma por moléstia grave ou acidente em serviço - 13° salário;Valores pagos a titular ou sócio de microempresa ou empresa de pequeno porte, exceto pró-labore e alugueis;Outras isenções (o nome da rubrica deve ser claro para identificação da natureza dos valores);Depósito judicial;Compensação judicial do ano calendário;Compensação judicial de anos anteriores;Remuneração mensal;13° Salário;Férias;PLR;RRA' WHERE NRTAGNAME = 105 AND DSTAGNAME = 'codIncIRRF'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '00;11;12;21;91', DSNMOPCTAG = 'Não é Base de Cálculo do FGTS;Base de Cálculo do FGTS;Base de Cálculo do FGTS 13° salário;Base de Cálculo do FGTS Rescisório (aviso prévio);Incidência suspensa em decorrência de decisão judicial' WHERE NRTAGNAME = 106 AND DSTAGNAME = 'codIncFGTS'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '00;11;31;91', DSNMOPCTAG = 'Não é base de cálculo;Base de cálculo;Valor da contribuição sindical laboral descontada;Incidência suspensa em decorrência de decisão judicial' WHERE NRTAGNAME = 107 AND DSTAGNAME = 'codIncSIND'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2', DSNMOPCTAG = 'Contribuição Previdenciária Patronal;Contribuição Previdenciária Patronal + Descontada dos Segurados' WHERE NRTAGNAME = 114 AND DSTAGNAME = 'extDecisao'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2;3;4', DSNMOPCTAG = 'Não acumulável;Profissional de Saúde;Professor;Técnico/Científico' WHERE NRTAGNAME = 144 AND DSTAGNAME = 'acumCargo'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2;3;4', DSNMOPCTAG = 'Não;Professor (Infantil, Fundamental e Médio);Professor de Ensino Superior, Magistrado, Membro de Ministério Público, Membro do Tribunal de Contas (com ingresso anterior a 16/12/1998 EC nr.20/98);Atividade de risco' WHERE NRTAGNAME = 145 AND DSTAGNAME = 'contagemEsp'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = 'S;N', DSNMOPCTAG = 'Sim;Não' WHERE NRTAGNAME = 146 AND DSTAGNAME = 'dedicExcl'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2;3', DSNMOPCTAG = 'Criação;Extinção;Reestruturação' WHERE NRTAGNAME = 150 AND DSTAGNAME = 'sitCargo'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2;3;4', DSNMOPCTAG = 'Não acumulável;Profissional de Saúde;Professor;Técnico/Científico' WHERE NRTAGNAME = 144 AND DSTAGNAME = 'acumCargo'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2', DSNMOPCTAG = 'Intervalo em Horário Fixo;Intervalo em Horário Variável' WHERE NRTAGNAME = 176 AND DSTAGNAME = 'tpInterv'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = 'S;N', DSNMOPCTAG = 'Sim;Não' WHERE NRTAGNAME = 174 AND DSTAGNAME = 'perHorFlexivel'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2;3', DSNMOPCTAG = 'Estabelecimento do próprio empregador;Estabelecimento de terceiros;Prestação de serviços em instalações de terceiros não consideradas como lotações dos tipos 03 a 09 da Tabela 10' WHERE NRTAGNAME = 186 AND DSTAGNAME = 'localAmb'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2', DSNMOPCTAG = 'Próprio contribuinte;Outra entidade, empresa ou empregado' WHERE NRTAGNAME = 193 AND DSTAGNAME = 'indAutoria'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2;3;4;5;6;7;8;99', DSNMOPCTAG = 'Exclusivamente tributária ou tributária e FGTS;Autorização de trabalho de menor;Dispensa, ainda que parcial, de contratação de pessoa com deficiência (PCD);Dispensa, ainda que parcial, de contratação de aprendiz;Segurança e Saúde no Trabalho;- Conversão de Licença Saúde em Acidente de Trabalho;Exclusivamente FGTS e/ou Contribuição Social Rescisória (Lei Complementar 110/2001);Contribuição sindical;Outros assuntos' WHERE NRTAGNAME = 194 AND DSTAGNAME = 'indMatProc'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = ' 01;02;03;04;05;08;09;10;11;12;13;14;90;92', DSNMOPCTAG = 'Liminar em Mandado de Segurança;Depósito Judicial do Montante Integral;Depósito Administrativo do Montante Integral;Antecipação de Tutela;Liminar em Medida Cautelar;Sentença em Mandado de Segurança Favorável ao Contribuinte;Sentença em Ação Ordinária Favorável ao Contribuinte e Confirmada pelo TRF;Acórdão do TRF Favorável ao Contribuinte;Acórdão do STJ em Recurso Especial Favorável ao Contribuinte;Acórdão do STF em Recurso Extraordinário Favorável ao Contribuinte;Sentença 1ª instância não transitada em julgado com efeito suspensivo;Contestação Administrativa FAP;Decisão Definitiva a favor do contribuinte;Sem suspensão da exigibilidade' WHERE NRTAGNAME = 199 AND DSTAGNAME = 'indSusp'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = 'S;N', DSNMOPCTAG = 'Sim;Não' WHERE NRTAGNAME = 201 AND DSTAGNAME = 'indDeposito'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2', DSNMOPCTAG = 'Mensal;Anual (13° salário)' WHERE NRTAGNAME = 210 AND DSTAGNAME = 'indApuracao'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2;3', DSNMOPCTAG = '- O declarante aplica a alíquota de desconto do segurado sobre a remuneração por ele informada (o percentual da alíquota será obtido considerando a remuneração total do trabalhador);O declarante aplica a alíquota de desconto do segurado sobre a diferença entre o limite máximo do salário de contribuição e a remuneração de outra(s) empresa(s) para as quais o trabalhador informou que houve o desconto;O declarante não realiza desconto do segurado, uma vez que houve desconto sobre o limite máximo de salário de contribuição em outra(s) empresa(s).' WHERE NRTAGNAME = 216 AND DSTAGNAME = 'indMV'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2;3;4', DSNMOPCTAG = 'IRRF;Contribuições sociais do trabalhador;FGTS;Contribuição sindical' WHERE NRTAGNAME = 230 AND DSTAGNAME = 'tpTrib'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2;3', DSNMOPCTAG = 'Contribuição Substituída Integralmente;Contribuição não substituída;Contribuição não substituída concomitante com contribuição substituída' WHERE NRTAGNAME = 238 AND DSTAGNAME = 'indSimples'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2;3;4', DSNMOPCTAG = 'Não ensejador de aposentadoria especial;Ensejador de Aposentadoria Especial - FAE15_12% (15 anos de contribuição e alíquota de 12%);Ensejador de Aposentadoria Especial - FAE20_09% (20 anos de contribuição e alíquota de 9%);Ensejador de Aposentadoria Especial - FAE25_06% (25 anos de contribuição e alíquota de 6%)' WHERE NRTAGNAME = 255 AND DSTAGNAME = 'grauExp'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = 'A;B;C;D;E;F', DSNMOPCTAG = 'Acordo Coletivo de Trabalho;Legislação federal, estadual, municipal ou distrital;Convenção Coletiva de Trabalho;Sentença Normativa - Dissídio;Conversão de Licença Saúde em Acidente de Trabalho;Outras verbas de natureza salarial ou não salarial devidas após o desligamento' WHERE NRTAGNAME = 259 AND DSTAGNAME = 'tpAcConv'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = 'S;N', DSNMOPCTAG = 'Sim;Não' WHERE NRTAGNAME = 263 AND DSTAGNAME = 'remunSuc'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2', DSNMOPCTAG = 'Trabalho Urbano;Trabalho Rural' WHERE NRTAGNAME = 223 AND DSTAGNAME = 'natAtividade'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2;3;5;6;7;9', DSNMOPCTAG = 'Pagamento de remuneração, conforme apurado no S-1200;Pagamento de verbas rescisórias conforme apurado no S-2299;Pagamento de verbas rescisórias conforme apurado no S-2399; Pagamento de remuneração conforme apurado no S-1202;Pagamento de Benefícios Previdenciários, conforme apurado no S-1207;Recibo de férias;Pagamento relativo a competências anteriores ao início de obrigatoriedade dos eventos periódicos para o contribuinte' WHERE NRTAGNAME = 280 AND DSTAGNAME = 'tpPgto'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = 'S;N', DSNMOPCTAG = 'Sim;Não' WHERE NRTAGNAME = 281 AND DSTAGNAME = 'indResBr'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '101;102;103;104;105;106;111;201;202;301;302;303;305;306;307;308;309;401;411;701;711;712;721;722;723;731;734;738;741;751;761;771;781;901;902;903;904;905', DSNMOPCTAG = 'Empregado - Geral, inclusive o empregado público da administração direta ou indireta contratado pela CLT;Empregado - Geral, inclusive o empregado público da administração direta ou indireta contratado pela CLT;Empregado - Aprendiz;Empregado - Doméstico;Empregado - contrato a termo firmado nos termos da Lei 9601/98;Trabalhador Temporário - contrato nos termos da Lei 6.019/74;Empregado - contrato de trabalho intermitente;Trabalhador Avulso Portuário;Trabalhador Avulso Não Portuário;Servidor Público Titular de Cargo Efetivo, Magistrado, Ministro de Tribunal de Contas, Conselheiro de Tribunal de Contas e Membro do Ministério Público;Servidor Público Ocupante de Cargo exclusivo em comissão;Agente Político;Servidor Público indicado para conselho ou órgão deliberativo, na condição de representante do governo, órgão ou entidade da administração pública;Servidor Público Temporário, sujeito a regime administrativo especial definido em lei própria;Militar efetivo;Conscrito;Agente Público - Outros;Dirigente Sindical - informação prestada pelo Sindicato;Trabalhador cedido - informação prestada pelo Cessionário;Contribuinte individual - Autônomo em geral, exceto se enquadrado em uma das demais categorias de contribuinte individual;Contribuinte individual - Transportador autônomo de passageiros;Contribuinte individual - Transportador autônomo de carga;Contribuinte individual - Diretor não empregado, com FGTS;Contribuinte individual - Diretor não empregado, sem FGTS;Contribuinte individual - empresários, sócios e membro de conselho de administração ou fiscal;Contribuinte individual - Cooperado que presta serviços por intermédio de Cooperativa de Trabalho;Contribuinte individual - Transportador Cooperado que presta serviços por intermédio de cooperativa de trabalho;Contribuinte individual - Cooperado filiado a Cooperativa de Produção;Contribuinte individual - Microempreendedor Individual;Contribuinte individual - magistrado classista temporário da Justiça do Trabalho ou da Justiça Eleitoral que seja aposentado de qualquer regime previdenciário;Contribuinte individual - Associado eleito para direção de Cooperativa, associação ou entidade de classe de qualquer natureza ou finalidade, bem como o síndico ou administrador eleito para exercer atividade de direção condominial, desde que recebam remuneração;Contribuinte individual - Membro de conselho tutelar, nos termos da Lei nº8.069, de 13 de julho de 1990;Ministro de confissão religiosa ou membro de vida consagrada, de congregação ou de ordem religiosa;Estagiário;Médico Residente;Bolsista, nos termos da lei 8958/1994;Participante de curso de formação, como etapa de concurso público, sem vínculo de emprego/estatutário;Atleta não profissional em formação que receba bolsa' WHERE NRTAGNAME = 218 AND DSTAGNAME = 'codCateg'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '01;02;03;04;06;07;09;10;11;12;99', DSNMOPCTAG = 'Cônjuge;Companheiro(a) com o(a) qual tenha filho ou viva há mais de 5 (cinco) anos ou possua Declaração de União Estável;Filho(a) ou enteado(a);Filho(a) ou enteado(a), universitário(a) ou cursando escola técnica de 2º grau;Irmão(ã), neto(a) ou bisneto(a) sem arrimo dos pais, do(a) qual detenha a guarda judicial;Irmão(ã), neto(a) ou bisneto(a) sem arrimo dos pais, universitário(a) ou cursando escola técnica de 2° grau, do(a) qual detenha a guarda judicial;Pais, avós e bisavós;Menor pobre do qual detenha a guarda judicial;A pessoa absolutamente incapaz, da qual seja tutor ou curador;Ex-cônjuge;Agregado/Outros' WHERE NRTAGNAME = 250 AND DSTAGNAME = 'tpDep'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2', DSNMOPCTAG = 'Arquivo original;Arquivo de retificação' WHERE NRTAGNAME = 208  AND DSTAGNAME = 'indRetif'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2;3;4;5;6;7;8;9;10;11;12;13;14;15;16;17;18;19;20;21;22;23;24;25;26;27;28;29;30;31;32;33;34;35;36;37;38;39;40;41;42;43;44;91;92;93;94;95;96;97;98;99', DSNMOPCTAG = 'Aposentadoria Voluntária por Idade e Tempo de Contribuição;Aposentadoria por Idade - Proventos proporcionais;Aposentadoria por Invalidez - Proventos integrais ou proporcionais;Aposentadoria Compulsória - Proventos proporcionais;Aposentadoria por Tempo de Serviço Integral;Aposentadoria por Tempo de Serviço Proporcional;Aposentadoria Compulsória Proporcional calculada sobre a última remuneração;Aposentadoria Compulsória Proporcional calculada pela média;Aposentadoria Compulsória Proporcional calculada pela média;Aposentadoria Compulsória Proporcional calculada pela média;Aposentadoria - Magistrado, Membro do MP e TC - Proventos Integrais correspondentes à última remuneração;Aposentadoria - Proventos Integrais correspondentes à última remuneração;Aposentadoria Especial do Professor;Aposentadoria com proventos proporcionais calculados sobre a última remuneração;Aposentadoria - Proventos Integrais correspondentes à última remuneração;Aposentadoria Especial de Professor - Proventos pela Média com redutor (Implementação a partir de 01/01/2006);Aposentadoria Especial de Professor - Proventos pela Média com redutor (Implementação até 31/12/2005);Aposentadoria Magistrado, Membro do MP e TC (homem) - Proventos pela Média com redutor (Implementação a partir de 01/01/2006);Aposentadoria Magistrado, Membro do MP e TC - Proventos pela Média com redutor (Implementação até 31/12/2005);Aposentadoria Voluntária - Proventos pela Média com redutor - Geral (Implementação a partir de 01/01/2006);Aposentadoria Voluntária - Proventos pela Média reduzida - Geral (Implementação até 31/12/2005);Aposentadoria Voluntária - Proventos Integrais correspondentes á ultima remuneração do cargo - Geral;Aposentadoria Voluntária Professor Educação infantil, ensino fundamental e médio;Aposentadoria Voluntária por Idade - Proventos Proporcionais calculados sobre a última remuneração do cargo;Aposentadoria Voluntária por Idade - Proventos pela Média proporcionais;Aposentadoria Voluntária por Idade e por Tempo de Contribuição - Proventos pela Média;Aposentadoria Voluntária por Tempo de Contribuição - Especial do professor de q/q nível de ensino;Aposentadoria Voluntária por idade e Tempo de Contribuição - Especial do professor ed. infantil, ensino fundamental e médio;Aposentadoria Voluntária por idade e Tempo de Contribuição - Especial de Professor - Proventos pela Média;Aposentadoria por Invalidez (proporcionais ou integrais, calculadas com base na última remuneração do cargo);Aposentadoria por Invalidez (proporcionais ou integrais , calculadas com base na última remuneração do cargo);Aposentadoria por Invalidez (proporcionais ou integrais, calculadas pela média);Aposentadoria por Invalidez (proporcionais ou integrais calculadas com base na última remuneração do cargo);Reforma por invalidez;Reserva Remunerada Compulsória;Reserva Remunerada Integral;Reserva Remunerada Proporcional;Auxílio Doença - Conforme lei do Ente;Auxílio Reclusão;Pensão por Morte;Salário Família;Salário Maternidade;Complementação de Aposentadoria do Regime Geral de Previdência Social (RGPS);Complementação de Pensão por Morte do Regime Geral de Previdência Social (RGPS);Aposentadoria sem paridade concedida antes do início de vigência do eSocial;Aposentadoria com paridade concedida antes do início de vigência do eSocial;Aposentadoria por invalidez com paridade concedida antes do início de vigência do eSocial;Aposentadoria por invalidez sem paridade concedida antes do início de vigência do eSocial;Transferência para reserva concedida antes do início de vigência do eSocial;Reforma concedida antes do início de vigência do eSocial;Pensão por morte com paridade concedida antes do início de vigência do eSocial;Pensão por morte sem paridade concedida antes do início de vigência do eSocial;Outros Benefícios previdenciários concedidos antes do início de vigência do eSocial' WHERE NRTAGNAME = 272 AND DSTAGNAME = 'tpBenef'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '00;01;09;11;12;13;14;15;31;32;33;34;35;41;42;43;44;46;47;51;52;53;54;55;61;62;63;64;70;71;72;73;74;75;76;77;78;79;81;82;83;91;92;93;94;95', DSNMOPCTAG = 'Rendimento não tributável;Rendimento não tributável em função de acordos internacionais de bitributação;Outras verbas não consideradas como base de cálculo ou rendimento;Remuneração Mensal;13o Salário;Férias;PLR;Rendimentos Recebidos Acumuladamente - RRA;Remuneração mensal;13° Salário;Férias;PLR;RRA;Previdência Social Oficial - PSO - Remuner. Mensal;PSO - 13° salário;PSO - Férias;PSO - RRA;Previdência Privada - salário mensal;Previdência Privada - 13° salário;Pensão Alimentícia - Remuneração Mensal;Pensão Alimentícia - 13° salário;Pensão Alimentícia - Férias;Pensão Alimentícia - PLR;Pensão Alimentícia - RRA;Fundo de Aposentadoria Programada Individual - FAPI - Remuneração Mensal;Fundo de Aposentadoria Programada Individual - FAPI - 13° salário;Fundação de Previdência Complementar do Servidor Público - Funpresp - Remuneração Mensal;Fundação de Previdência Complementar do Servidor Público - Funpresp - 13° salário;Parcela Isenta 65 anos - Remuneração Mensal;Parcela Isenta 65 anos - 13° salário;Diárias;Ajuda de Custo;Indenização e rescisão de contrato, inclusive a título de PDV e acidentes de trabalho;Abono pecuniário;Pensão, aposentadoria ou reforma por moléstia grave ou acidente em serviço - Remuneração Mensal;Pensão, aposentadoria ou reforma por moléstia grave ou acidente em serviço - 13° salário;Valores pagos a titular ou sócio de microempresa ou empresa de pequeno porte, exceto pró-labore e alugueis;Outras isenções (o nome da rubrica deve ser claro para identificação da natureza dos valores);Depósito Judicial;Compensação Judicial do ano calendário;Compensação Judicial de anos anteriores;Remuneração Mensal;13o Salário;Férias;PLR;RRA' WHERE NRTAGNAME = 299 AND DSTAGNAME = 'tpBcIRRF'
/
--UPDATE ESO_TAGNAME SET DSCDOPCTAG = '', DSNMOPCTAG = '' WHERE NRTAGNAME = 303 AND DSTAGNAME = 'codPais'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2;3', DSNMOPCTAG = 'Beneficiário com NIF;Beneficiário dispensado do NIF;País não exige NIF' WHERE NRTAGNAME = 304 AND DSTAGNAME = 'indNIF'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2;3;4;5', DSNMOPCTAG = 'CNPJ;CPF;CAEPF;CNO;CGC' WHERE NRTAGNAME = 316 AND DSTAGNAME = 'tpInscAdq'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2;3;4;5;6', DSNMOPCTAG = 'Aquisição da produção de produtor rural pessoa física ou segurado especial em geral;Aquisição da produção de produtor rural pessoa física ou segurado especial em geral por Entidade do PAA;Aquisição da produção de produtor rural pessoa jurídica por Entidade do PAA;Aquisição da produção de produtor rural pessoa física ou segurado especial em geral - Produção Isenta (Lei 13.606/2018);Aquisição da produção de produtor rural pessoa física ou segurado especial em geral por Entidade do PAA - Produção Isenta (Lei 13.606/2018);Aquisição da produção de produtor rural pessoa jurídica por Entidade do PAA - Produção Isenta (Lei 13.606/2018)' WHERE NRTAGNAME = 319 AND DSTAGNAME = 'indAquis'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '2;3;7;8;9', DSNMOPCTAG = 'Comercialização da Produção efetuada diretamente no varejo a consumidor final ou a outro produtor rural pessoa física por Produtor Rural Pessoa Física, inclusive por Segurado Especial ou por Pessoa Física não produtor rural;Comercialização da Produção por Prod. Rural PF/Seg. Especial - Vendas a PJ (exceto Entidade inscrita no Programa de Aquisição de Alimentos - PAA) ou a Intermediário PF;Comercialização da Produção Isenta de acordo com a Lei n° 13.606/2018;Comercialização da Produção da Pessoa Física/Segurado Especial para Entidade inscrita no Programa de Aquisição de Alimentos - PAA;Comercialização da Produção no Mercado Externo' WHERE NRTAGNAME = 341 AND DSTAGNAME = 'indComerc'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2', DSNMOPCTAG = 'Integralmente substituída;Parcialmente substituída' WHERE NRTAGNAME = 359 AND DSTAGNAME = 'indSubstPatr'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = 'S;N', DSNMOPCTAG = 'Sim;Não' WHERE NRTAGNAME = 207 AND DSTAGNAME = 'evtRemun'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = 'S;N', DSNMOPCTAG = 'Sim;NãO' WHERE NRTAGNAME = 313 AND DSTAGNAME = 'evtAqProd'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = 'S;N', DSNMOPCTAG = 'Sim;Não' WHERE NRTAGNAME = 336 AND DSTAGNAME = 'evtComProd'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = 'S;N', DSNMOPCTAG = 'Sim;Não' WHERE NRTAGNAME = 348 AND DSTAGNAME = 'evtContratAvNP'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = 'M;F', DSNMOPCTAG = 'Masculino;Feminino' WHERE NRTAGNAME = 383 AND DSTAGNAME = 'sexo'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2;3;4;5;6', DSNMOPCTAG = 'Branca;Preta;Parda;Amarela;Indígena;Não informado' WHERE NRTAGNAME = 384 AND DSTAGNAME = 'racaCor'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2;3;4;5', DSNMOPCTAG = 'Solteiro;Casado;Divorciado;Separado;Viúvo' WHERE NRTAGNAME = 385 AND DSTAGNAME = 'estCiv'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '01;02;03;04;05;06;07;08;09;10;11;12', DSNMOPCTAG = 'Analfabeto, inclusive o que, embora tenha recebido instrução, não se alfabetizou;Até o 5o ano incompleto do Ensino Fundamental (antiga 4a série) ou que se tenha alfabetizado sem ter frequentado escola regular;5o ano completo do Ensino Fundamental;Do 6o ao 9o ano do Ensino Fundamental incompleto (antiga 5a a 8a série);Do 6o ao 9o ano do Ensino Fundamental incompleto (antiga 5a a 8a série);Ensino Fundamental Completo;Ensino Médio incompleto;Ensino Médio completo;Educação Superior incompleta;Educação Superior completa;Pós-Graduação completa;Mestrado completo;Doutorado completo' WHERE NRTAGNAME = 386 AND DSTAGNAME = 'grauInstr'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = 'S;N', DSNMOPCTAG = 'Sim;Não' WHERE NRTAGNAME = 387 AND DSTAGNAME = 'indPriEmpr'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2;3;4;5;6;7;8;9;10;11;12', DSNMOPCTAG = 'Visto permanente;Visto temporário;Asilado;Refugiado;Solicitante de Refúgio;Residente fora do Brasil;Deficiente físico e com mais de 51 anos;Com residência provisória e anistiado, em situação irregular;Permanência no Brasil em razão de filhos ou cônjuge brasileiros;Beneficiado pelo acordo entre países do Mercosul;Dependente de agente diplomático e/ou consular de países que mantém convênio de reciprocidade para o exercício de atividade remunerada no Brasil;Beneficiado pelo Tratado de Amizade, Cooperação e Consulta entre a República Federativa do Brasil e a República Portuguesa' WHERE NRTAGNAME = 424 AND DSTAGNAME = 'classTrabEstrang' 
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = 'S;N', DSNMOPCTAG = 'Sim;Não' WHERE NRTAGNAME = 425 AND DSTAGNAME = 'casadoBr'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = 'S;N', DSNMOPCTAG = 'Sim;Não' WHERE NRTAGNAME = 426 AND DSTAGNAME = 'filhosBr'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = 'S;N', DSNMOPCTAG = 'Sim;Não' WHERE NRTAGNAME = 428 AND DSTAGNAME = 'defFisica'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = 'S;N', DSNMOPCTAG = 'Sim;Não' WHERE NRTAGNAME = 429 AND DSTAGNAME = 'defVisual'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = 'S;N', DSNMOPCTAG = 'Sim;Não' WHERE NRTAGNAME = 430 AND DSTAGNAME = 'defAuditiva'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = 'S;N', DSNMOPCTAG = 'Sim;Não' WHERE NRTAGNAME = 431 AND DSTAGNAME = 'defMental'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = 'S;N', DSNMOPCTAG = 'Sim;Não' WHERE NRTAGNAME = 432 AND DSTAGNAME = 'defIntelectual'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = 'S;N', DSNMOPCTAG = 'Sim;Não' WHERE NRTAGNAME = 433 AND DSTAGNAME = 'reabReadap'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = 'S;N', DSNMOPCTAG = 'Sim;Não' WHERE NRTAGNAME = 436 AND DSTAGNAME = 'depIRRF'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = 'S;N', DSNMOPCTAG = 'Sim;Não' WHERE NRTAGNAME = 437 AND DSTAGNAME = 'depSF'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = 'S;N', DSNMOPCTAG = 'Sim;Não' WHERE NRTAGNAME = 438 AND DSTAGNAME = 'incTrab'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = 'S;N', DSNMOPCTAG = 'Sim;Não' WHERE NRTAGNAME = 440  AND DSTAGNAME = 'trabAposent'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2', DSNMOPCTAG = 'CLT;Estatutário' WHERE NRTAGNAME = 446 AND DSTAGNAME = 'tpRegTrab'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2;3', DSNMOPCTAG = 'Regime Geral da Previdência Social - RGPS;Regime Próprio de Previdência Social - RPPS;Regime de Previdência Social no Exterior' WHERE NRTAGNAME = 447 AND DSTAGNAME = 'tpRegPrev'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = 'S;N', DSNMOPCTAG = 'Sim;Não' WHERE NRTAGNAME = 449 AND DSTAGNAME = 'cadIni'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2;3;4;5;', DSNMOPCTAG = 'Admissão;Transferência de empresa do mesmo grupo econômico;Transferência de empresa consorciada ou de consórcio;Transferência por motivo de sucessão, incorporação, cisão ou fusão;Transferência do empregado doméstico para outro representante da mesma unidade familiar;Mudança de CPF' WHERE NRTAGNAME = 452 AND DSTAGNAME = 'tpAdmissao'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2;3', DSNMOPCTAG = 'Normal;Decorrente de Ação Fiscal;Decorrente de Decisão Judicial' WHERE NRTAGNAME = 453 AND DSTAGNAME = 'indAdmissao'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2;3;4', DSNMOPCTAG = 'Submetidos a Horário de Trabalho (Cap. II da CLT);Atividade Externa especificada no Inciso I do Art. 62 da CLT;Funções especificadas no Inciso II do Art. 62 da CLT;Teletrabalho, previsto no Inciso III do Art. 62 da CLT' WHERE NRTAGNAME = 454 AND DSTAGNAME = 'tpRegJor'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2', DSNMOPCTAG = 'Optante;Não Optante' WHERE NRTAGNAME = 458 AND DSTAGNAME = 'opcFGTS'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2', DSNMOPCTAG = 'Necessidade de substituição transitória de pessoal permanente;Demanda complementar de serviços' WHERE NRTAGNAME = 461 AND DSTAGNAME = 'hipLeg'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2;3', DSNMOPCTAG = 'Locais sem filiais;Estudo de mercado;Contratação superior a 3 meses' WHERE NRTAGNAME = 463 AND DSTAGNAME = 'tpInclContr'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2', DSNMOPCTAG = 'Normal;Decorrente de Decisão Judicial' WHERE NRTAGNAME = 470 AND DSTAGNAME = 'indProvim'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2;3;4;5;6;99', DSNMOPCTAG = 'Nomeação em cargo efetivo;Nomeação em cargo em comissão;Incorporação (militar);Matrícula (militar);Reinclusão (militar);Diplomação;Outros não relacionados acima' WHERE NRTAGNAME = 471 AND DSTAGNAME = 'tpProv'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2', DSNMOPCTAG = 'Plano previdenciário ou único;Plano financeiro' WHERE NRTAGNAME = 475 AND DSTAGNAME = 'tpPlanRP'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2;3;4;5;6;7', DSNMOPCTAG = 'Por Hora;Por Dia;Por Semana;Por Quinzena;Por Mês;Por Tarefa;Não aplicável - salário exclusivamente variável' WHERE NRTAGNAME = 481 AND DSTAGNAME = 'undSalFixo'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2;3', DSNMOPCTAG = 'Prazo indeterminado;Prazo determinado, definido em dias;Prazo determinado, vinculado à ocorrência de um fato' WHERE NRTAGNAME = 484 AND DSTAGNAME = 'tpContr'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = 'S;N', DSNMOPCTAG = 'Sim;Não' WHERE NRTAGNAME = 766 AND DSTAGNAME = 'clauAssec'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2;3;9', DSNMOPCTAG = 'Jornada com horário diário e folga fixos;Jornada 12 x 36 (12 horas de trabalho seguidas de 36 horas ininterruptas de descanso);Jornada com horário diário fixo e folga variável;Demais tipos de jornada' WHERE NRTAGNAME = 493 AND DSTAGNAME = 'tpJornada'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '0;1;2;3', DSNMOPCTAG = 'Não é contrato em tempo parcial;Limitado a 25 horas semanais;Limitado a 30 horas semanais;Limitado a 26 horas semanais' WHERE NRTAGNAME = 495 AND DSTAGNAME = 'tmpParc'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2;3;4;5;6;7;8', DSNMOPCTAG = 'Segunda-Feira;Terça-Feira;Quarta-Feira;Quinta-Feira;Sexta-Feira;Sábado;Domingo;Dia variável' WHERE NRTAGNAME = 497 AND DSTAGNAME = 'dia'
/
--UPDATE ESO_TAGNAME SET DSCDOPCTAG = '', DSNMOPCTAG = '' WHERE NRTAGNAME = 503 AND DSTAGNAME = 'codMotAfast'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2;3;8;9', DSNMOPCTAG = 'Promoção;Readaptação;Aproveitamento;Outros;Não alterado' WHERE NRTAGNAME = 516 AND DSTAGNAME = 'mtvAlter'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2;3', DSNMOPCTAG = 'Inicial;Reabertura;Comunicação de Óbito' WHERE NRTAGNAME = 525 AND DSTAGNAME = 'tpCat'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = 'S;N', DSNMOPCTAG = 'Sim;Não' WHERE NRTAGNAME = 526 AND DSTAGNAME = 'indCatObito'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = 'S;N', DSNMOPCTAG = 'Sim;Não' WHERE NRTAGNAME = 528 AND DSTAGNAME = 'indComunPolicia'
/
--UPDATE ESO_TAGNAME SET DSCDOPCTAG = '', DSNMOPCTAG = '' WHERE NRTAGNAME = 529 AND DSTAGNAME = 'codSitGeradora'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2;3', DSNMOPCTAG = 'Iniciativa do empregador;Ordem judicial;Determinação de órgão fiscalizador' WHERE NRTAGNAME = 530 AND DSTAGNAME = 'iniciatCAT'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2;3;4;5;6;9', DSNMOPCTAG = 'Estabelecimento do empregador no Brasil;Estabelecimento do empregador no Exterior;Estabelecimento de terceiros onde o empregador presta serviços;Via pública;Área rural;Embarcação;Outros' WHERE NRTAGNAME = 532 AND DSTAGNAME = 'tpLocal'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '0;1;2;3', DSNMOPCTAG = 'Não aplicável;Esquerda;Direita;Ambas' WHERE NRTAGNAME = 538 AND DSTAGNAME = 'lateralidade'
/
--UPDATE ESO_TAGNAME SET DSCDOPCTAG = '', DSNMOPCTAG = '' WHERE NRTAGNAME = 540 AND DSTAGNAME = 'codAgntCausador'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = 'S;N', DSNMOPCTAG = 'Sim;Não' WHERE NRTAGNAME = 545 AND DSTAGNAME = 'indInternacao'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = 'S;N', DSNMOPCTAG = 'Sim;Não' WHERE NRTAGNAME = 547 AND DSTAGNAME = 'indAfast'
/
--UPDATE ESO_TAGNAME SET DSCDOPCTAG = '', DSNMOPCTAG = '' WHERE NRTAGNAME = 548 AND DSTAGNAME = 'dscLesao'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2;3', DSNMOPCTAG = 'Conselho Regional de Medicina (CRM);Conselho Regional de Odontologia (CRO);Registro do Ministério da Saúde (RMS)' WHERE NRTAGNAME = 554 AND DSTAGNAME = 'ideOC'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2', DSNMOPCTAG = 'Apto;Inapto' WHERE NRTAGNAME = 774 AND DSTAGNAME = 'resAso'
/
--UPDATE ESO_TAGNAME SET DSCDOPCTAG = '', DSNMOPCTAG = '' WHERE NRTAGNAME = 777 AND DSTAGNAME = 'procRealizado'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2', DSNMOPCTAG = 'Inicial;Sequencial' WHERE NRTAGNAME = 780 AND DSTAGNAME = 'ordExame'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2;3;4', DSNMOPCTAG = 'Normal;Alterado;Estável;Agravamento' WHERE NRTAGNAME = 783 AND DSTAGNAME = 'indResult'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = 'S;N', DSNMOPCTAG = 'Sim;Não' WHERE NRTAGNAME = 563 AND DSTAGNAME = 'infoMesmoMtv'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2;3', DSNMOPCTAG = 'Atropelamento;Colisão;Outros' WHERE NRTAGNAME = 564 AND DSTAGNAME = 'tpAcidTransito'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2;3', DSNMOPCTAG = 'Ônus do Cedente;Ônus do Cessionário;Ônus do Cedente e Cessionário;' WHERE NRTAGNAME = 569 AND DSTAGNAME = 'infOnus'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2;3', DSNMOPCTAG = 'Apenas do Empregador;Apenas do Sindicato;Parte do Empregador, sendo a diferença e/ou complementação salarial paga pelo Sindicato' WHERE NRTAGNAME = 572 AND DSTAGNAME = 'infOnusRemun'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2;3', DSNMOPCTAG = 'Por iniciativa do empregador;Revisão Administrativa;Determinação Judicial' WHERE NRTAGNAME = 574 AND DSTAGNAME = 'origRetif'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2;4;5;6', DSNMOPCTAG = 'Aviso prévio trabalhado dado pelo empregador ao empregado, que optou pela redução de duas horas diárias [caput do art. 488 da CLT];Aviso prévio trabalhado dado pelo empregador ao empregado, que optou pela redução de dias corridos [parágrafo único do art. 488 da CLT];Aviso prévio dado pelo empregado (pedido de demissão), não dispensado de seu cumprimento, sob pena de desconto, pelo empregador, dos salários correspondentes ao prazo respectivo (§2o do art. 487 da CLT);Aviso prévio trabalhado dado pelo empregador rural ao empregado, com redução de um dia por semana ( art. 15 da Lei no 5889/73);Aviso prévio trabalhado decorrente de acordo entre empregado e empregador (art. 484-A, "caput", da CLT)' WHERE NRTAGNAME = 624 AND DSTAGNAME = 'tpAvPrevio'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2;3;9', DSNMOPCTAG = 'Reconsideração prevista no artigo 489 da CLT;Determinação Judicial;Cumprimento de norma legal;Outros' WHERE NRTAGNAME = 627 AND DSTAGNAME = 'mtvCancAvPrevio'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '0;1;2', DSNMOPCTAG = 'Prestação de serviços no estabelecimento informado no grupo {localTrabGeral} do S-2200 ou S-2206, quando for o caso;Prestação de serviços em apenas um local e fora do estabelecimento informado no grupo {localTrabGeral} do S-2200 ou S-2206, quando for o caso;Prestação de serviços de natureza externa ou em mais de um local' WHERE NRTAGNAME = 799 AND DSTAGNAME = 'indLocal'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2;3;4;5;9', DSNMOPCTAG = 'Reintegração por Decisão Judicial;Reintegração por Anistia Legal;Reversão de Servidor Público;Recondução de Servidor Público;Reinclusão de Militar;Outros' WHERE NRTAGNAME = 630 AND DSTAGNAME = 'tpReint'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = 'S;N', DSNMOPCTAG = 'Sim;Não' WHERE NRTAGNAME = 634 AND DSTAGNAME = 'indPagtoJuizo'
/
--UPDATE ESO_TAGNAME SET DSCDOPCTAG = '', DSNMOPCTAG = '' WHERE NRTAGNAME = 637 AND DSTAGNAME = 'mtvDeslig'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = 'S;N', DSNMOPCTAG = 'Sim;Não' WHERE NRTAGNAME = 638 AND DSTAGNAME = 'indPagtoAPI'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '0;1;2;3', DSNMOPCTAG = 'Não existe pensão alimentícia;Percentual de pensão alimentícia;Valor de pensão alimentícia;Percentual e valor de pensão alimentícia' WHERE NRTAGNAME = 640 AND DSTAGNAME = 'pensAlim'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '0;1;2;3;4', DSNMOPCTAG = 'Cumprimento total;Cumprimento parcial em razão de obtenção de novo emprego pelo empregado;Cumprimento parcial por iniciativa do empregador;Outras hipóteses de cumprimento parcial do aviso prévio;Aviso prévio indenizado ou não exigível' WHERE NRTAGNAME = 645 AND DSTAGNAME = 'indCumprParc'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = 'O;N', DSNMOPCTAG = 'Obrigatório;Não Obrigatório' WHERE NRTAGNAME = 667 AND DSTAGNAME = 'natEstagio'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2;3;4;8;9', DSNMOPCTAG = 'Fundamental;Médio;Formação Profissional;Superior;Especial;Mãe social' WHERE NRTAGNAME = 668 AND DSTAGNAME = 'nivEstagio'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '01;02;03;04;05;06;07;99', DSNMOPCTAG = 'Exoneração do Diretor Não Empregado sem justa causa, por deliberação da assembleia, dos sócios cotistas ou da autoridade competente;Término de Mandato do Diretor Não Empregado que não tenha sido reconduzido ao cargo;Exoneração a pedido de Diretor Não Empregado;Exoneração do Diretor Não Empregado por culpa recíproca ou força maior;Morte do Diretor Não Empregado;Exoneração do Diretor Não Empregado por falência, encerramento ou supressão de parte da empresa;Mudança de CPF;Outros' WHERE NRTAGNAME = 685 AND DSTAGNAME = 'mtvDesligTSV'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2;3', DSNMOPCTAG = 'Contribuição Substituída Integralmente;Contribuição não substituída;Contribuição não substituída concomitante com contribuição substituída' WHERE NRTAGNAME = 238 AND DSTAGNAME = 'indSimples'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '51;52;53;54;55;56;57;58;61;62;63;64;65;66;67;68;69;70;71;72', DSNMOPCTAG = 'Depósito do FGTS;Depósito do FGTS 13° Salário;Depósito do FGTS Dissídio;Depósito do FGTS Dissídio 13o Salário;Depósito do FGTS - Aprendiz;Depósito do FGTS 13° Salário - Aprendiz;Depósito do FGTS Dissídio - Aprendiz;Depósito do FGTS Dissídio 13o Salário - Aprendiz;Depósito do FGTS Rescisório;Depósito do FGTS Rescisório - 13° Salário;Depósito do FGTS Rescisório - Aviso Prévio;Depósito do FGTS Rescisório - Dissídio;Depósito do FGTS Rescisório - Dissídio 13o Salário;Depósito do FGTS Rescisório - Dissídio Aviso Prévio;Depósito do FGTS Rescisório - Aprendiz;Depósito do FGTS Rescisório - 13° Salário Aprendiz;Depósito do FGTS Rescisório - Aviso Prévio Aprendiz;Depósito do FGTS Rescisório - Dissídio Aprendiz;Depósito do FGTS Rescisório - Dissídio 13° Salário Aprendiz;Depósito do FGTS Rescisório - Dissídio Aviso Prévio Aprendiz' WHERE NRTAGNAME = 842 AND DSTAGNAME = 'tpDps'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2;3', DSNMOPCTAG = 'Há informações com apuração de contribuições sociais;Há movimento porém sem apuração de contribuições sociais;Não há movimento no período informado' WHERE NRTAGNAME = 728 AND DSTAGNAME = 'indExistInfo'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2', DSNMOPCTAG = 'CNPJ;CPF' WHERE NRTAGNAME = 132 AND DSTAGNAME = 'tpInscContrat'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2', DSNMOPCTAG = 'CNPJ;CPF' WHERE NRTAGNAME = 131 AND DSTAGNAME = 'infoEmprParcial'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2;9', DSNMOPCTAG = 'Normal;Ativ. Concomitante;Substituída ou Isenta' WHERE NRTAGNAME = 736 AND DSTAGNAME = 'basesRemun'
/
UPDATE ESO_TAGNAME SET DSCDOPCTAG = '1;2;3;4;5;6', DSNMOPCTAG = 'Aquisição da produção de produtor rural pessoa física ou segurado especial em geral;Aquisição da produção de produtor rural pessoa física ou segurado especial em geral por Entidade do PAA;Aquisição da produção de produtor rural pessoa jurídica por Entidade do PAA;Aquisição da produção de produtor rural pessoa física ou segurado especial em geral - Produção Isenta (Lei 13.606/2018);Aquisição da produção de produtor rural pessoa física ou segurado especial em geral por Entidade do PAA - Produção Isenta (Lei 13.606/2018);Aquisição da produção de produtor rural pessoa jurídica por Entidade do PAA - Produção Isenta (Lei 13.606/2018)' WHERE NRTAGNAME = 750 AND DSTAGNAME = 'basesAquis'
/
