-- ============================================================
-- Table: VAB_BENEFICIOCCT
-- ============================================================
CREATE TABLE VAB_BENEFICIOCCT
(
    NRORG NUMBER NOT NULL,
    NRBENEFICIOCCT NUMBER NOT NULL,
    NRCADASTROCCT NUMBER NOT NULL,
    NRTPBENEFICIO NUMBER NOT NULL,
    NRIDADEMAXSUBFILHOS NUMBER,         
    SEXOSUBSIDIOFILHO VARCHAR2(20),
    NRIDADEMAXSUBDEP NUMBER,         
    SEXOSUBSIDIODEP VARCHAR2(20),
    NREVETITULARVINC NUMBER,
    NRTIPOPARTICIPATITULAR VARCHAR2(20),
    NRTABFAIXASALTIT VARCHAR2(500),
    VRTITULARSIND FLOAT,
    VRTETOTITULARSIND FLOAT,
    VRPISOTITULARSIND FLOAT,
    NREVEDEPEVINC NUMBER,
    NRTIPOPARTICIPADEP VARCHAR2(20),
    NRTABFAIXASALDEP VARCHAR2(500),
    VRDEPSIND FLOAT,
    VRPISODEPSIND FLOAT,
    VRTETODEPSIND FLOAT,
    IDATIVO VARCHAR2(1) DEFAULT 'S' NOT NULL,
    CONSTRAINT CKC_IDATIVO_VAB_BENEFICIOCCT CHECK (IDATIVO IN ('S','N')),
    DTINCLUSAO DATE NOT NULL,
    DTULTATU DATE,
    NRORGINCLUSAO NUMBER,
    CDOPERINCLUSAO VARCHAR2(12),
    NRORGULTATU NUMBER,
    CDOPERULTATU VARCHAR2(12),
    CONSTRAINT PK_VAB_BENEFICIOCCT PRIMARY KEY (NRORG, NRBENEFICIOCCT),
    CONSTRAINT FK_CADASTROCCT FOREIGN KEY (NRORG, NRCADASTROCCT) REFERENCES FPA_CADASTROCCT (NRORG, NRCADASTROCCT),
    CONSTRAINT FK_TPBENEFICIO FOREIGN KEY (NRORG, NRTPBENEFICIO) REFERENCES TPBENEFICIO (NRORG, NRTPBENEFICIO),
    CONSTRAINT FK_FPA_EVENTOM_TIT FOREIGN KEY (NREVETITULARVINC) REFERENCES FPA_EVENTOM (NREVENTOM),
    CONSTRAINT FK_FPA_EVENTOM_DEP FOREIGN KEY (NREVEDEPEVINC) REFERENCES FPA_EVENTOM (NREVENTOM)
);
