 -- ============================================================
-- Table: SA_DES_MENSAGENSPADRAO
-- Descrição: Cria nova coluna do tipo CLOB e remove a antiga
-- ============================================================
ALTER TABLE SA_DES_MENSAGENSPADRAO RENAME COLUMN DSMENSAGEM TO DSMENSAGEM_OLD; 
ALTER TABLE SA_DES_MENSAGENSPADRAO ADD (DSMENSAGEM CLOB);
CREATE OR REPLACE VIEW DES_MENSAGENSPADRAO AS
	 	  SELECT *
		  FROM SA_DES_MENSAGENSPADRAO
		  WHERE ((NRORG  = SYS_CONTEXT('nrorg_ctx', 'nrorg'))
		  OR (9999999999 = SYS_CONTEXT('nrorg_ctx', 'nrorg'))
		  OR (0          = NRORG)
		  OR (1          = NRORG));
/

UPDATE DES_MENSAGENSPADRAO SET DSMENSAGEM = DSMENSAGEM_OLD;
COMMIT;
/

ALTER TABLE SA_DES_MENSAGENSPADRAO DROP COLUMN DSMENSAGEM_OLD;
CREATE OR REPLACE VIEW DES_MENSAGENSPADRAO AS
	 	  SELECT *
		  FROM SA_DES_MENSAGENSPADRAO
		  WHERE ((NRORG  = SYS_CONTEXT('nrorg_ctx', 'nrorg'))
		  OR (9999999999 = SYS_CONTEXT('nrorg_ctx', 'nrorg'))
		  OR (0          = NRORG)
		  OR (1          = NRORG));